Subject: bug#29465: 25.3; Confusing message for dired-do-shell-command substitution

From: Drew Adams <[email-masked]>
Date: Fri, 1 Dec 2017 07:42:44 -0800 (PST)

> > IF we feel it helps a user to prompt about something,
> > and IF we feel there is a possibility that some users
> > might not understand the prompt, in spite of our best
> > efforts to come up with a good prompt, and IF we feel
> > that understanding the prompt is important, THEN the
> > doc string should make clear whatever it is that it
> > is important that users understand about that prompting.
> >
> > It's quite possible for a user not to understand even
> > a good prompt.  S?he should be able to get the point
> > by doing `C-h f', in that case.
> 
> The doc string already attempts to do that:
> 
> `*' and `?' when not surrounded by whitespace nor `\\=`' have...

  `*' and `?', unless surrounded by whitespace or `\\=', have...

is easier to understand, I think.

> We could make the intent of the confirmation even more clear, e.g.
> 
>   `*' and `?' when not surrounded by whitespace nor `\\=`' have no
>   special
>   significance for `dired-do-shell-command', and are passed through
>   normally to the shell, but you must confirm first, to avoid
>   inadvertently passing a wildcard to a shell command, which would
>   cause that command to act on more files than you intended.

Please consider splitting that in two: "...to the shell.  But..."

> Is anything else needed to make this prompt's intent more clear?

That seems good enough for the doc string.  I don't have
a suggestion for the prompt itself.  (I don't think it's
super clear, though.)